org.eclipse.cdt.utils.debug.dwarf

## Class Dwarf

- java.lang.Object
- - org.eclipse.cdt.utils.debug.dwarf.Dwarf

Direct Known Subclasses:
  DwarfReader

    public class Dwarf
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Dwarf(Elf exe)`
`Dwarf(PE exe)`
`Dwarf(PE64 exe)`
`Dwarf(String file)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `init(Elf exe)`
`void` `init(PE exe)`
`void` `init(PE64 exe)`
`static void` `main(String[] args)`
`void` `parse(IDebugEntryRequestor requestor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Dwarf

    public Dwarf(String file)
          throws IOException

Throws:
  `IOException`

#### Dwarf

    public Dwarf(Elf exe)
          throws IOException

Throws:
  `IOException`

#### Dwarf

    public Dwarf(PE exe)
          throws IOException

Throws:
  `IOException`
Since:
  5.1

#### Dwarf

    public Dwarf(PE64 exe)
          throws IOException

Throws:
  `IOException`
Since:
  6.9

### Method Detail

#### init

    public void init(Elf exe)
              throws IOException

Throws:
  `IOException`

#### init

    public void init(PE exe)
              throws IOException

Throws:
  `IOException`
Since:
  5.1

#### init

    public void init(PE64 exe)
              throws IOException

Throws:
  `IOException`
Since:
  6.9

#### parse

    public void parse(IDebugEntryRequestor requestor)

#### main

    public static void main(String[] args)